# DataExchange
TKSTEPBase
StepRepr

# StepRepr_Transformation Class Reference

`#include <StepRepr_Transformation.hxx>`

Inheritance diagram for StepRepr_Transformation:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepRepr_Transformation ()
| Returns a Transformation SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a Transformation Kind Entity that is : 1 -> ItemDefinedTransformation 2 -> FunctionallyDefinedTransformation 0 else .
Standard_EXPORT Handle_StepRepr_ItemDefinedTransformation | ItemDefinedTransformation () const
| returns Value as a ItemDefinedTransformation (Null if another type)
Standard_EXPORT Handle_StepRepr_FunctionallyDefinedTransformation | FunctionallyDefinedTransformation () const
| returns Value as a FunctionallyDefinedTransformation (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_Transformation::StepRepr_Transformation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepRepr_Transformation::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepRepr_FunctionallyDefinedTransformation StepRepr_Transformation::FunctionallyDefinedTransformation | ( |  | ) | const

Standard_EXPORT Handle_StepRepr_ItemDefinedTransformation StepRepr_Transformation::ItemDefinedTransformation | ( |  | ) | const

void StepRepr_Transformation::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_Transformation::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepRepr_Transformation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepRepr_Transformation.hxx